##
##  blas.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         blas
Summary:      Basic Linear Algebra Subprograms (BLAS) Fortran Library
URL:          http://www.netlib.org/blas/
Vendor:       Jack Dongarra et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Algorithm
License:      Open Source
Version:      3.12.0
Release:      20231130

#   list of sources
Source0:      http://www.netlib.org/blas/blas-%{version}.tgz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, gcc::with_fortran = yes
PreReq:       OpenPKG, openpkg >= 20160101

%description
    The BLAS (Basic Linear Algebra Subprograms) are routines that
    provide standard building blocks for performing basic vector and
    matrix operations. The Level 1 BLAS perform scalar, vector and
    vector-vector operations, the Level 2 BLAS perform matrix-vector
    operations, and the Level 3 BLAS perform matrix-matrix operations.
    Because the BLAS are efficient, portable, and widely available, they
    are commonly used in the development of high quality linear algebra
    software, LAPACK for example.

%track
    prog blas = {
        version   = %{version}
        url       = http://www.netlib.org/blas/
        regex     = blas-(__VER__)\.tgz
    }

%prep
    %setup -q -n BLAS-%{version}

%build
    %{l_make} %{l_mflags -O} OPTS="-O2 -fPIC" PLAT=""

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/lib
    %{l_shtool} install -c -m 644 \
        blas.a $RPM_BUILD_ROOT%{l_prefix}/lib/libblas.a
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

